| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Public Attributes | List of all members
Tp::PtrFunctor6< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 > Struct Template Reference

`#include </build/telepathy-qt-h4W587/telepathy-qt-0.9.7/TelepathyQt/functors.h>`

Inheritance diagram for Tp::PtrFunctor6< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >:
[legend]

## Public Types

typedef R(* | FunctionType) (Arg1, Arg2, Arg3, Arg4, Arg5, Arg6)
typedef R | ResultType

## Public Member Functions

| PtrFunctor6 (FunctionType fn)
ResultType | operator() (Arg1 a1, Arg2 a2, Arg3 a3, Arg4 a4, Arg5 a5, Arg6 a6) const

## Public Attributes

FunctionType | fn

## Member Typedef Documentation

## § FunctionType

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 >

typedef R(* Tp::PtrFunctor6< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >::FunctionType) (Arg1, Arg2, Arg3, Arg4, Arg5, Arg6)

## § ResultType

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 >

typedef R Tp::PtrFunctor6< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >::ResultType

## Constructor & Destructor Documentation

## § PtrFunctor6()

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 >

Tp::PtrFunctor6< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >::PtrFunctor6 | ( | FunctionType | fn | ) |

inline

## Member Function Documentation

## § operator()()

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 >

ResultType Tp::PtrFunctor6< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >::operator() | ( | Arg1 | a1,
|  | Arg2 | a2,
|  | Arg3 | a3,
|  | Arg4 | a4,
|  | Arg5 | a5,
|  | Arg6 | a6
| ) |  | const

inline

## Member Data Documentation

## § fn

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 >

FunctionType Tp::PtrFunctor6< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >::fn